This patch is based on the following pages:
http://yukihiko.sano-ya.org/d/dsearch.cgi?D-20110819+L-001+S-003
http://flyingangler.blogspot.jp/2011/03/netbsd-51-ath5k.html
http://web.archive.org/web/20071222023740/http://www.muranet.jp/~mura/blosxom.cgi/bsd/index.html

--- sys/dev/ic/ath.c-	2011-11-28 09:30:17.000000000 +0900
+++ sys/dev/ic/ath.c	2013-12-12 04:33:54.000000000 +0900
@@ -4908,6 +4908,10 @@
 		HAL_CHANNEL *c = &chans[i];
 		u_int16_t flags;
 
+#if 1 /* XXX for ThinkPad in Japan */
+		if ((c->channel > 4910) && (c->channel < 5240))
+			continue;
+#endif
 		ix = ath_hal_mhz2ieee(ah, c->channel, c->channelFlags);
 		if (ix > IEEE80211_CHAN_MAX) {
 			if_printf(ifp, "bad hal channel %d (%u/%x) ignored\n",
